<?xml version="1.0"?>

<st-source>
<!-- Changes in change set PV -->
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on June 4, 2008 at 3:20:06 pm</time-stamp>


<class>
<name>PvSAMJmsInterface</name>
<environment>PROVISO</environment>
<super>PROVISO.PvObject</super>
<private>false</private>
<indexed-type>none</indexed-type>
<inst-vars>sync javaPath jarPath jmsTimeout uri stdioConnection stdin stdout stderr eventStream externalProcess monitorService lastKeepAlive eventCallback stdoutListener stderrListener jmsClasses jmsProperties receivedKeepAlive user password queueId samVersion filter jmsEvents connection environment lastStringErr </inst-vars>
<class-inst-vars></class-inst-vars>
<imports></imports>
<category>SAM-Interface</category>
<attributes>
<package>SAM-Interface</package>
</attributes>
</class>

<methods>
<class-id>PROVISO.PvSAMJmsInterface</class-id> <category>accessing</category>

<body package="SAM-Interface" selector="lastStringErr">lastStringErr
	^lastStringErr</body>

<body package="SAM-Interface" selector="lastStringErr:">lastStringErr: anObject
	lastStringErr := anObject</body>
</methods>


<methods>
<class-id>PROVISO.PvSAMJmsInterface</class-id> <category>process management</category>

<body package="SAM-Interface" selector="getStringFrom:">getStringFrom: aStream 
	
	^[aStream 
		ifNil: [nil]
		ifNotNil: [:strm | String readNetStringFrom: aStream]] 
			on: Error
			do: 
				[:ex | 
				(self lastStringErr = aStream collection)
					ifFalse: [
						self lastStringErr: aStream collection.
						self logProtocolError: ex].
				(Delay forSeconds: 1) wait.
				nil]</body>
</methods>



</st-source>
