<?xml version="1.0"?>

<st-source>
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on August 9, 2008 at 1:08:27 pm</time-stamp>
<!-- Changes from: PVAdaptor-Schema(Green.32,bbuxton)  to: PVAdaptor-Schema(Green.33,bbuxton) -->


<methods>
<class-id>PROVISO.UBA.InputDescriptorScheduler</class-id> <category>scheduling</category>

<body package="PVAdaptor-Schema" selector="scheduleMostRecentInputs">scheduleMostRecentInputs
	
	| scheduledAnything |
	scheduledAnything := false.
	self inputsByPeriodDo: 
		[:eachSet | 
		(self shouldBeProcessed: eachSet) 
			ifTrue: 
				[scheduledAnything := true.
				self processAll: eachSet]
			ifFalse: [^scheduledAnything]].
	^scheduledAnything</body>

<body package="PVAdaptor-Schema" selector="nextPeriodInputsFrom:">nextPeriodInputsFrom: inputStream 
	
	| begin result |
	begin := nil.
	result := OrderedCollection new.
	inputStream do: 
		[:each | 
		| periodStart |
		periodStart := self startOfPeriod: each.
		begin ifNil: [begin := periodStart].
		periodStart = begin 
			ifTrue: [result add: each]
			ifFalse: 
				[inputStream skip: -1.
				^result]].
	^result</body>
</methods>



</st-source>
