<?xml version="1.0"?>

<st-source>
<!-- Changes in change set PV -->
<time-stamp>From VisualWorks®, 7.3.1 of April 20, 2005 on June 24, 2008 at 1:08:03 pm</time-stamp>


<methods>
<class-id>PROVISO.UBA.SAMPassThruSchema</class-id> <category>parsing</category>

<body package="PVAdaptor-Schema" selector="collectorNumberFor:">collectorNumberFor: inputDescriptor
	"&lt;Integer&gt; Answer the collector number for the given input descriptor (hopefully, we will actually be able to map any given SAM metric file to a single collector number)."

	"Update: it looks like we will have to crack open the files, so ultimately, this method will go away in favor of methods that do idmap lookups to determine the collector number for individual metric records."

" We are now no longer using ID-Maps so, get the collector number from the dc.cfg. But we are keeping the old code to be backward compatible. If the idmapSchema is present then we assume it is old code if not it is new code "

	| tmp |
	^self adaptor idmapSchema
		ifNil: [self environment collectorNumber]
		ifNotNil: 
			[ :schema | 
			(tmp := schema knownCollectorNumbers) isEmpty 
				ifTrue: [self environment collectorNumber]
			 	ifFalse: [tmp first]]</body>
</methods>



</st-source>
